.header {
  z-index: 999;
  color: #fff;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  transition: all .3s ease-out;

  &-static {
    position: relative;
  }

  &-fixed {
    position: fixed;
    color: #fff;
    background-color: $color-black;
    box-shadow: 0 0 6px rgba(#000, .2);
    animation: headerPull .5s cubic-bezier(.24, .5, .22, .89) 1 both;
  }

  .bg-leaves {
    width: 100%;

    @media (max-width: 1200px) {
      // opacity: .7;
    }

    [class^="bg-leaves-"] {
      max-width: 90px;
      filter: grayscale(100%);
      opacity: .5;
      transition: all .3s ease-out;

      @media (max-width: 1200px) {
        width: 50px;
      }
    }

    .bg-leaves-top-lt {
      left: 35%;

      @media (max-width: 1200px) {
        left: 65%;

      }

      @media (max-width: 567px) {
        left: 55%;
      }
    }

    .bg-leaves-center-lt {
      @media (max-width: 991px) {
        display: none;
      }
    }

    .bg-leaves-right-tp {
      top: auto;
      bottom: 0;

      @media (max-width: 567px) {
        top: 0;
        bottom: auto;
      }
    }
  }

  &-fixed .bg-leaves [class^="bg-leaves-"] {
    opacity: 1;
    filter: none;
  }

  &-bg {
    z-index: 0;
    @include absoldefault;
    opacity: 0;
    transition: all .3s ease-out;

    >* {
      background-size: auto 100%;
      opacity: .05;
    }
  }

  &-fixed &-bg {
    opacity: 1;
  }

  &-inner {
    padding: 15px;
    transition: all .3s ease-out;

    @media (max-width: 1200px) {
      padding: 0 75px;
    }

    @media (max-width: 1200px) {
      padding: 0 20px;
    }
  }

  &-fixed &-inner {
    padding-top: 10px;
    padding-bottom: 10px;

    @media (max-width: 1200px) {
      padding-top: 5px;
      padding-bottom: 5px;
    }
  }

  &-top,
  &-bot {
    z-index: 2;
    position: relative;
  }

  &-top {
    padding: 8px;
    margin-bottom: 15px;
    // border-bottom: 1px solid rgba(#fff, .2);
    transition: all .3s ease-out;

    @media (max-width: 1200px) {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 15px 100px 15px 0;
      margin-bottom: 0;
    }
  }

  &-fixed &-top {
    border-bottom-color: rgba(#000, .2);

    @media (max-width: 1200px) {
      border-bottom-color: transparent;
    }
  }

  &-logo {
    text-align: center;

    img {
      width: 360px;
      max-width: 100%;
      transition: all .3s ease-out;
    }
  }

  &-fixed &-logo img {
    width: 220px;
  }

  &-row {
    padding: 20px 0;
    align-items: center;
  }

  &-col {}

  &-bot {
    @media (min-width: 1201px) {
      display: flex;
      align-items: center;
      justify-content: center;
    }

    @media(max-width: 1200px) {
      position: static;
    }
  }

  &-searchbtn {
    z-index: 2;
    color: #fff;
    font-size: 24px;
    border: 0;
    background-color: transparent;
    cursor: pointer;

    @media (max-width: 1200px) {
      @include absoltopcenter;
      right: 80px;
    }

    @media (max-width: 567px) {
      right: 60px;
    }
  }

  &-navigation {
    @media (max-width: 1200px) {
      position: fixed;
      top: 0;
      left: 0;
      transform: translateX(-100%);
      width: 100%;
      max-width: 100vw;
      height: 100vh;
      color: $color-black;
      background-color: $color-black;
      text-align: center;
      display: flex;
      align-items: center;
      justify-content: center;
      transition: all .3s ease-out;

      &::before {
        content: "";
        @include absolcenter;
        transform: translate(-50%, -50%) scale(0.85, 0.5);
        width: calc(100% - 40px);
        height: calc(100% - 40px);
        border-radius: 4px;
        background-color: #fff;
        transition-delay: .5s;
        transition: all .3s ease-out;
      }

      &.open {
        transform: translateX(0);

        &::before {
          transform: translate(-50%, -50%) scale(1);
          transition-delay: .5s;
        }
      }
    }

    @media (max-width: 1200px) {
      // width: 100%;
      // max-height: calc(100vh - 60px);
      // overflow-y: auto;
    }
  }

  &-nav {
    padding-left: 0;
    margin-bottom: 0;
    list-style-type: none;

    >li {

      >a {
        font-family: $font-1;
        font-size: 18px;
        font-weight: 400;
        letter-spacing: 2px;
        text-transform: uppercase;
      }

      &.has-submenu {
        position: relative;

        >img {
          display: inline-block;
          vertical-align: unset;
          width: 16.6px;
          height: 8.3px;
          margin-left: 3.7px;
        }

        ul {
          width: 100%;
          padding-left: 0;
          list-style-type: none;
          color: $color-black;
          background-color: #fff;
          box-shadow: 0 0 2px 0 rgba(#000, 0.1);
          border-radius: 0 0 6px 6px;
          overflow: hidden;
          transition: all 0.3s ease;

          li {
            line-height: normal;
            text-align: center;

            a {
              display: block;
              font-family: $font-1;
              font-size: 23px;
              font-weight: 400;
              padding: 1.5rem;
              // text-transform: uppercase;
              user-select: none;

              &:hover {
                color: $color-sub;
                background-color: #f6f6f6;
              }
            }

            &.active {
              a {
                color: $color-sub;
                font-weight: 600;
              }
            }
          }
        }

        &.active::after {
          color: #fff;
          right: 10px;
        }
      }
    }

    @media (min-width: 1201px) {
      display: flex;
      align-items: center;
      justify-content: center;

      >li {

        &:first-child::before,
        &::after {
          content: "\f111";
          font-family: $font-awesome;
          font-size: 7px;
          font-weight: 700;
          display: inline-block;
          vertical-align: super;
          margin: 0 25px;
        }

        &.has-submenu {

          ul {
            position: absolute;
            top: 100%;
            left: 0;
            transform: scaleY(0);
            visibility: hidden;
            transform-origin: 0 0;
            min-width: 22rem;

            >li {
              text-align: left;
              border-bottom: 1px solid rgba(#000, 0.1);

              >a {
                font-size: 18px;

                &:hover {
                  color: $color-main;
                }
              }
            }
          }

          &:hover {
            >a {
              color: $color-sub;
            }

            ul {
              transform: scaleY(1);
              visibility: visible;
            }
          }
        }
      }
    }

    @media (max-width: 1200px) {
      flex-wrap: wrap;
      max-height: 90vh;
      padding: 40px 0;
      overflow-y: auto;

      >li {
        position: relative;
        width: 100%;
        padding-left: 0;

        &:not(:last-child) {
          border-bottom: 1px solid rgba(#000, .1);
        }

        &:first-child::before {
          display: none;
        }

        &::after {
          @include absoltopcenter;
          left: 0px;
        }

        >a {
          font-size: 20px;
          display: inline-block;
          padding: 10px 20px;
        }
      }
    }
  }

  .nav-toggle {
    z-index: 999;
    cursor: pointer;

    @media (max-width: 1200px) {
      @include absoltopcenter;
      right: 75px;
    }

    @media (max-width: 1200px) {
      right: 20px
    }
  }

  &:hover &-top {
    border-bottom-color: rgba(#000, .2);
  }

  &:hover &-bg {
    opacity: 1;
  }

  &-static {
    color: $color-black;
    border-bottom: 1px solid rgba(#000, .2);
  }

  &-static &-inner {
    position: relative;
  }

  &-static &-bg {
    opacity: 1;
  }

  &-static &-top {
    border-bottom-color: rgba(#000, .2);
  }

}